Lists
curl --request GET \
--url https://api.themoviedb.org/4/account/{account_object_id}/lists \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/4/account/{account_object_id}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/4/account/{account_object_id}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 0,
"backdrop_path": null,
"created_at": "2025-02-04 17:24:37 UTC",
"description": "This is a guide in testing this API endpoint",
"featured": 0,
"id": 8510518,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "API documentation",
"number_of_items": 0,
"poster_path": null,
"public": 1,
"revenue": 0,
"runtime": "0",
"sort_by": 1,
"updated_at": "2025-02-04 17:24:37 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 0,
"backdrop_path": null,
"created_at": "2025-01-27 09:43:27 UTC",
"description": "This is a story to test this API endpoint",
"featured": 0,
"id": 8509236,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "True Story Of Nnekka",
"number_of_items": 0,
"poster_path": null,
"public": 1,
"revenue": 0,
"runtime": "0",
"sort_by": 1,
"updated_at": "2025-01-27 09:43:27 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 7.9,
"backdrop_path": null,
"created_at": "2024-12-30 08:59:43 UTC",
"description": "This is a story to test this API endpoint",
"featured": 0,
"id": 8504086,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "True Story Of Nnekka",
"number_of_items": 1,
"poster_path": null,
"public": 1,
"revenue": 40061153,
"runtime": "140",
"sort_by": 1,
"updated_at": "2025-01-27 09:43:10 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 0,
"backdrop_path": null,
"created_at": "2025-01-08 03:05:46 UTC",
"description": "This is a story to test this API endpoint",
"featured": 0,
"id": 8505816,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "True Story Of Nnekka",
"number_of_items": 0,
"poster_path": null,
"public": 1,
"revenue": 0,
"runtime": "0",
"sort_by": 1,
"updated_at": "2025-01-08 03:05:46 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 7.6,
"backdrop_path": null,
"created_at": "2025-01-03 19:30:29 UTC",
"description": "Just an awesome list.",
"featured": 0,
"id": 8504985,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "This is my awesome test list.",
"number_of_items": 1,
"poster_path": null,
"public": 1,
"revenue": 263920180,
"runtime": "126",
"sort_by": 1,
"updated_at": "2025-01-03 19:32:07 UTC"
}
],
"total_pages": 1,
"total_results": 5
}Lists
This endpoint get the custom lists that a user has created.
GET
/
4
/
account
/
{account_object_id}
/
lists
Lists
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"676a950bf68dc118f77ecc2a"
Query Parameters
the page number
Response
200 - application/json
Lists
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 0,
"backdrop_path": null,
"created_at": "2025-02-04 17:24:37 UTC",
"description": "This is a guide in testing this API endpoint",
"featured": 0,
"id": 8510518,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "API documentation",
"number_of_items": 0,
"poster_path": null,
"public": 1,
"revenue": 0,
"runtime": "0",
"sort_by": 1,
"updated_at": "2025-02-04 17:24:37 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 0,
"backdrop_path": null,
"created_at": "2025-01-27 09:43:27 UTC",
"description": "This is a story to test this API endpoint",
"featured": 0,
"id": 8509236,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "True Story Of Nnekka",
"number_of_items": 0,
"poster_path": null,
"public": 1,
"revenue": 0,
"runtime": "0",
"sort_by": 1,
"updated_at": "2025-01-27 09:43:27 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 7.9,
"backdrop_path": null,
"created_at": "2024-12-30 08:59:43 UTC",
"description": "This is a story to test this API endpoint",
"featured": 0,
"id": 8504086,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "True Story Of Nnekka",
"number_of_items": 1,
"poster_path": null,
"public": 1,
"revenue": 40061153,
"runtime": "140",
"sort_by": 1,
"updated_at": "2025-01-27 09:43:10 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 0,
"backdrop_path": null,
"created_at": "2025-01-08 03:05:46 UTC",
"description": "This is a story to test this API endpoint",
"featured": 0,
"id": 8505816,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "True Story Of Nnekka",
"number_of_items": 0,
"poster_path": null,
"public": 1,
"revenue": 0,
"runtime": "0",
"sort_by": 1,
"updated_at": "2025-01-08 03:05:46 UTC"
},
{
"account_object_id": "676a950bf68dc118f77ecc2a",
"adult": 0,
"average_rating": 7.6,
"backdrop_path": null,
"created_at": "2025-01-03 19:30:29 UTC",
"description": "Just an awesome list.",
"featured": 0,
"id": 8504985,
"iso_3166_1": "US",
"iso_639_1": "en",
"name": "This is my awesome test list.",
"number_of_items": 1,
"poster_path": null,
"public": 1,
"revenue": 263920180,
"runtime": "126",
"sort_by": 1,
"updated_at": "2025-01-03 19:32:07 UTC"
}
]
Example:
1
Example:
5
⌘I